Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 277291 - gnome-base/libgnomekbd-2.24.0 emerge fails with glibc 2.10
Summary: gnome-base/libgnomekbd-2.24.0 emerge fails with glibc 2.10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GNOME (show other bugs)
Hardware: x86 Linux
: High normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: glibc-2.10
  Show dependency tree
 
Reported: 2009-07-10 08:50 UTC by Morgan Wesström
Modified: 2009-08-23 13:36 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Morgan Wesström 2009-07-10 08:50:50 UTC
I'm trying both GCC 4.40 and glibc 2.10 on this machine and I can't emerge libgnomekbd 2.24. This works on another machine of mine where I use GCC 4.4.0 and glibc 2.9. Also libgnomekbd 2.26 errors out the same way.

Reproducible: Always

Steps to Reproduce:
1. Upgrade to GCC 4.40 and glibc 2.10
2. emerge libgnomekbd-2.24.0


Actual Results:  
Emerge fails with the following error:

 i686-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.. -I.. -Wall -Werror -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -DORBIT2=1 -pthread -I/usr/include/gconf/2 -I/usr/include/orbit-2.0 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2 -I../intl -DSYS_PLUGIN_DIR=\"/usr/lib/gnomekbd/\" -DG_LOG_DOMAIN=\"GnomeKbdIndicator\" -DGLADEDIR=\"\" -DDATADIR=\"/usr/share\" -DSYSCONFDIR=\"/etc\" -DLIBDIR=\"/usr/lib\" -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -O2 -march=pentium4 -mtune=pentium4 -pipe -fomit-frame-pointer -MT libgnomekbdui_la-gkbd-indicator-marshal.lo -MD -MP -MF .deps/libgnomekbdui_la-gkbd-indicator-marshal.Tpo -c gkbd-indicator-marshal.c  -fPIC -DPIC -o .libs/libgnomekbdui_la-gkbd-indicator-marshal.o
cc1: warnings being treated as errors
gkbd-indicator.c: In function ‘gkbd_indicator_get_type’:
/usr/include/glib-2.0/glib/gthread.h:339: error: dereferencing pointer ‘value_location.4’ does break strict-aliasing rules
/usr/include/glib-2.0/glib/gthread.h:339: note: initialized from here
make[3]: *** [libgnomekbdui_la-gkbd-indicator.lo] Error 1
make[3]: *** Waiting for unfinished jobs....
 i686-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.. -I.. -Wall -Werror -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -DORBIT2=1 -pthread -I/usr/include/gconf/2 -I/usr/include/orbit-2.0 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2 -I../intl -DSYS_PLUGIN_DIR=\"/usr/lib/gnomekbd/\" -DG_LOG_DOMAIN=\"GnomeKbdIndicator\" -DGLADEDIR=\"\" -DDATADIR=\"/usr/share\" -DSYSCONFDIR=\"/etc\" -DLIBDIR=\"/usr/lib\" -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -O2 -march=pentium4 -mtune=pentium4 -pipe -fomit-frame-pointer -MT libgnomekbdui_la-gkbd-indicator-marshal.lo -MD -MP -MF .deps/libgnomekbdui_la-gkbd-indicator-marshal.Tpo -c gkbd-indicator-marshal.c -o libgnomekbdui_la-gkbd-indicator-marshal.o >/dev/null 2>&1
mv -f .deps/libgnomekbdui_la-gkbd-indicator-marshal.Tpo .deps/libgnomekbdui_la-gkbd-indicator-marshal.Plo
make[3]: Leaving directory `/tmp/portage/gnome-base/libgnomekbd-2.24.0/work/libgnomekbd-2.24.0/libgnomekbd'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/tmp/portage/gnome-base/libgnomekbd-2.24.0/work/libgnomekbd-2.24.0/libgnomekbd'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/tmp/portage/gnome-base/libgnomekbd-2.24.0/work/libgnomekbd-2.24.0'
make: *** [all] Error 2


Expected Results:  
libgnomekbd should emerge without errors.

# emerge --info

Portage 2.2_rc33 (default/linux/x86/2008.0, gcc-4.4.0, glibc-2.10.1-r0, 2.6.30-gentoo-r2 i686)
=================================================================
System uname: Linux-2.6.30-gentoo-r2-i686-Intel-R-_Xeon-TM-_CPU_2.66GHz-with-glibc2.0
Timestamp of tree: Thu, 09 Jul 2009 08:30:01 +0000
app-shells/bash:     3.2_p39
dev-java/java-config: 2.1.8-r1
dev-lang/python:     2.5.4-r3
dev-util/cmake:      2.6.4
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.6-r2
sys-devel/autoconf:  2.13, 2.63
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.30
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=pentium4 -mtune=pentium4 -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-O2 -march=pentium4 -mtune=pentium4 -pipe -fomit-frame-pointer -floop-block -floop-interchange -floop-strip-mine"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks fixpackages parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://ftp.ds.karen.hj.se/gentoo/ http://ftp.uni-erlangen.de/pub/mirrors/gentoo "
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X X509 a52 aac accessibility acl acpi alsa automount bash-completion berkdb branding bzip2 cairo cdda cddb cdio cdparanoia cdr cleartype cli consolekit cpudetection cracklib crypt cups custom-cflags custom-optimization dbus device-mapper dga disk-partition djvu dri dts dvd dvdr eds encode esd faac faad fat ffmpeg flac fortran gdbm geoip gif gimp git glib glitz gnome gnomecd gpm gstreamer gtk hal hddtemp iconv idn imlib isdnlog java java6 jpeg lame lcms libnotify live lm_sensors lzma lzo mad matroska md5sum midi mmx mmxext mp2 mp3 mpeg mplayer mudflap musepack nautilus ncurses network nls nptl nptlonly nsplugin ntfs nvidia ogg openal opengl openmp optimisememory pam pcre pdf perl png pppd python quicktime rar readline reflection reiserfs rle rtc rtsp session smp source spell spl sqlite srt sse sse2 ssh ssl subversion suid svg sysfs tcl tcpd tga threads tiff tk truetype twolame unicode usb vcd vdpau vorbis win32codecs wxwindows x264 x86 xml xorg xulrunner xv xvid xvmc yv12 zlib" ALSA_CARDS="intel8x0" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" FOO2ZJS_DEVICES="hp1000" INPUT_DEVICES="evdev keyboard mouse" KERNEL="linux" USERLAND="GNU" VIDEO_CARDS="nvidia"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY
Comment 1 Rémi Cardona gentoo-dev 2009-07-10 09:08:37 UTC
@herd, there's a -Werror in there...
Comment 2 Gilles Dartiguelongue gentoo-dev 2009-07-12 21:08:49 UTC
+  12 Jul 2009; Gilles Dartiguelongue <eva@gentoo.org>
+  libgnomekbd-2.24.0.ebuild, libgnomekbd-2.26.0.ebuild:
+  Fix crazy -Werror, bug #277291.
+

Thanks for reporting.
Comment 3 Morgan Wesström 2009-07-14 15:46:04 UTC
2.26.0 now emerges fine but I still get the same error on 2.24.0. I have synced Portage and the Changelog reflects the update. I have also removed all the libgnomekbd packages from distfiles before emerging. Shouldn't there have been a revision bump?

 i686-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.. -I.. -Wall -Werror -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -DORBIT2=1 -pthread -I/usr/include/gconf/2 -I/usr/include/orbit-2.0 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2 -I../intl -DSYS_PLUGIN_DIR=\"/usr/lib/gnomekbd/\" -DG_LOG_DOMAIN=\"GnomeKbdIndicator\" -DGLADEDIR=\"\" -DDATADIR=\"/usr/share\" -DSYSCONFDIR=\"/etc\" -DLIBDIR=\"/usr/lib\" -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -O2 -march=pentium4 -mtune=pentium4 -pipe -fomit-frame-pointer -MT libgnomekbdui_la-gkbd-indicator.lo -MD -MP -MF .deps/libgnomekbdui_la-gkbd-indicator.Tpo -c gkbd-indicator.c  -fPIC -DPIC -o .libs/libgnomekbdui_la-gkbd-indicator.o
 i686-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.. -I.. -Wall -Werror -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -DORBIT2=1 -pthread -I/usr/include/gconf/2 -I/usr/include/orbit-2.0 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2 -I../intl -DSYS_PLUGIN_DIR=\"/usr/lib/gnomekbd/\" -DG_LOG_DOMAIN=\"GnomeKbdIndicator\" -DGLADEDIR=\"\" -DDATADIR=\"/usr/share\" -DSYSCONFDIR=\"/etc\" -DLIBDIR=\"/usr/lib\" -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -O2 -march=pentium4 -mtune=pentium4 -pipe -fomit-frame-pointer -MT libgnomekbdui_la-gkbd-indicator-config.lo -MD -MP -MF .deps/libgnomekbdui_la-gkbd-indicator-config.Tpo -c gkbd-indicator-config.c -o libgnomekbdui_la-gkbd-indicator-config.o >/dev/null 2>&1
cc1: warnings being treated as errors
gkbd-indicator.c: In function ‘gkbd_indicator_get_type’:
/usr/include/glib-2.0/glib/gthread.h:339: error: dereferencing pointer ‘value_location.4’ does break strict-aliasing rules
/usr/include/glib-2.0/glib/gthread.h:339: note: initialized from here
make[3]: *** [libgnomekbdui_la-gkbd-indicator.lo] Error 1
make[3]: *** Waiting for unfinished jobs....
mv -f .deps/libgnomekbdui_la-gkbd-indicator-config.Tpo .deps/libgnomekbdui_la-gkbd-indicator-config.Plo
make[3]: Leaving directory `/tmp/portage/gnome-base/libgnomekbd-2.24.0/work/libgnomekbd-2.24.0/libgnomekbd'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/tmp/portage/gnome-base/libgnomekbd-2.24.0/work/libgnomekbd-2.24.0/libgnomekbd'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/tmp/portage/gnome-base/libgnomekbd-2.24.0/work/libgnomekbd-2.24.0'
make: *** [all] Error 2


Comment 4 Gilles Dartiguelongue gentoo-dev 2009-07-14 16:58:26 UTC
if 2.26 builds fine, then this is considered fixed. Thanks for reporting.
Comment 5 Attila Tóth 2009-08-23 12:50:24 UTC
(In reply to comment #4)
> if 2.26 builds fine, then this is considered fixed. Thanks for reporting.
> 

When can I expect GNOME 2.26 to become stable? I would rather not want to keyword the whole GNOME stuff, apart from an experimental toolchain...

Regards:
Dw.
Comment 6 Romain Perier (RETIRED) gentoo-dev 2009-08-23 13:36:49 UTC
(In reply to comment #5)
> (In reply to comment #4)
> > if 2.26 builds fine, then this is considered fixed. Thanks for reporting.
> > 
> 
> When can I expect GNOME 2.26 to become stable? I would rather not want to
> keyword the whole GNOME stuff, apart from an experimental toolchain...
> 
> Regards:
> Dw.
> 

Stabilization of GNOME 2.26: https://bugs.gentoo.org/show_bug.cgi?id=281427
[TRACKER] GNOME 2.26: https://bugs.gentoo.org/show_bug.cgi?id=263083